Module org.firebirdsql.jaybird
Package org.firebirdsql.gds.impl.argument

# Class TypedArgument

java.lang.Object
org.firebirdsql.gds.impl.argument.Argument
org.firebirdsql.gds.impl.argument.TypedArgument

All Implemented Interfaces:
  `Serializable`, `Parameter`

Direct Known Subclasses:
  `BigIntArgument`, `ByteArgument`, `ByteArrayArgument`, `NumericArgument`, `SingleItem`, `StringArgument`

public abstract class TypedArgument extends Argument
Argument with an argument type.

Since:
  5
Author:
  Mark Rotteveel
See Also:
  - Serialized Form

## Method Summary

### Methods inherited from class org.firebirdsql.gds.impl.argument.Argument

`getLength, getType, getValueAsInt, getValueAsLong, getValueAsString, writeTo`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.firebirdsql.gds.Parameter

`copyTo`